/* Styling for the game details page. */

div.header {
    article.game {
        padding: 30px 0;
    }
}

div.container {
    article.game {
        padding: 20px 0;
    }
}

article.game {
    tr.account {
        overflow: auto;
        border-bottom: 1px solid #e0e0e0;
        img {
            border: 1px solid #e0e0e0;
            width: 91px;
            height: 35px;
            margin-right: 10px;
        }
        h4 {
            font-weight: normal;
            display: inline;
        }
        td {
            padding: 10px;
            &.center {
                text-align: center;
            }
        }
        &:nth-child(odd) {
            td {
                background: #f4f4f4;
            }
        }
    }

    #added-to-watchlist {
        position: relative;

        /**
         * Styling for the notification interface provided in the 
         * watchlist popup.
         */
        a.close {
            color: white;
            cursor: pointer;
            font-size: 16px;
            font-weight: 600;
            height: 12px;
            line-height: 12px;
            padding: 2px;
            position: absolute;
            right: -2px;
            text-decoration: none;
            top: 1px;
            width: 12px;

            &:hover {
                color: black;
            }
        }
    }

    #add-to-library-interface {
        .tooltip {
            .tooltip-inner {
                background: $purple;
            }
            .tooltip-arrow {
                border-top-color: $purple;
            }
        }
        .popover {
            .popover-inner {
                background: $purple;
            }
            .arrow {
                border-top-color: $purple;
            }
        }  
    }
    #added-to-library {
        position: relative;
        width: 300px;

        a.close {
            color: white;
            cursor: pointer;
            font-size: 16px;
            font-weight: 600;
            height: 12px;
            line-height: 12px;
            padding: 2px;
            position: absolute;
            right: -2px;
            text-decoration: none;
            top: 1px;
            width: 12px;

            &:hover {
                color: black;
            }
        }
    }

    #premium-modal {
        >.modal-dialog {
            width: 400px;
        }

        .clear {
            clear: both;
        }

        h4 {
            span {
                display: inline-block;
                float: right;
                font-size: 17px;
                line-height: 28px;
                margin-right: 10px;
                overflow-x: hidden;
                overflow-y: visible;
                text-overflow: ellipsis;
                white-space: nowrap;
                width: 300px;
                @include game-title();
            }
        }

        .modal-header {
            input[type="text"] {
                border: 1px solid #d9d9d9;
                border-radius: 4px;
                font-size: 13px;
                margin: 0;
                padding: 6px 8px;
                width: 268px;
                margin-right: 10px;
            }

            input[type="submit"] {
                background: #e0e0e0;
                border: 1px solid #d0d0d0;
                border-radius: 4px;
                color: #303030;
                display: inline-block;
                font-size: 13px;
                height: 30px;
                padding: 3px 19px;

                &:hover {
                    background: black;
                    border-color: black;
                    color: white;
                    cursor: pointer;
                }
            }
            form {
                margin: 14px 0 4px;
                border-top: 1px solid #e0e0e0;
                padding: 14px 0 0;
            }
        }

        .modal-footer {
            button {
                float: right;
                margin-right: 10px;
            }
            .primary {
                float: right;
                background: $blue;
                border: 1px solid #d0d0d0;
                border-color: darken($blue, 5%);
                border-radius: 4px;
                color: white;
                font-size: 14px;
                padding: 5px 10px;
                text-decoration: none;
                white-space: nowrap;
                display: inline-block;

                &:hover {
                    background: black;
                    border-color: black;
                    color: white;
                }
            }
        }
    }

    div.info {
        a.thumb {
            display: block;
            float: left;
            margin-right: 14px;
            position: relative;

            img {
                border: 4px solid white;
            }
            div.overlay {
                background: url('/images/on-sale-overlay-large.png');
                height: 54px;
                left: -5px;
                position: absolute;
                top: -5px;
                width: 54px;
                z-index: 10;
            }
        }
        h1 {
            @include game-title();
            font-size: 36px;
            display: block;
            width: 780px;
            float: left;
            text-overflow: ellipsis;
            overflow: hidden;
            white-space: nowrap;
            margin-top: -6px;
        }
        div.details {
            float: left;

            p.price {
                float: left;
                margin: 12px 10px 12px 0;
                font-size: 26px;
                font-weight: 600;
                @include number-font();

                span {
                    color: #909090;
                    font-weight: 300;
                }
                del {
                    color: #909090;
                    font-size: 22px;
                    font-weight: 300;
                    padding-left: 6px;
                }
                .ruble-sign {
                    background-image: url('/images/region-ru/ruble-medium-black.png');
                    height: 21px;
                    line-height: 22px;
                    width: 18px;
                }
            }
            a.steam,
            a.community,
            a.manually-added,
            a.premium-support,
            a.watchlist {
                border-radius: 4px;
                color: #ffffff;
                cursor: pointer;
                padding: 5px 10px;
                font-size: 12px;
                font-weight: normal;
                display: block;
                float: left;
                margin: 14px 8px 14px 0;
                @include sans();
                @include linear-gradient(top, lighten($green, 10%) 0%, $green 90%);

                &:hover {
                    background: #000;
                    text-decoration: none;
                }
            }
            a.community {
                @include linear-gradient(top, $blue 0%, darken($blue, 10%) 90%);
            }
            a.watchlist {
                @include linear-gradient(top, $blue 0%, darken($blue, 10%) 90%);
            }
            a.manually-added, a.premium-support {
                @include linear-gradient(top, $purple 0%, darken($purple, 10%) 90%);
            }
            a.on {
                background: #a9a9a9;
            }
            p.genre,
            p.release {
                font-size: 13px;
                strong {
                    font-weight: 600;
                    margin-right: 4px;
                }
                span {
                    color: #666;
                    margin-left: 10px;
                }
            }
            button {
                margin: 5px 0;
            }
        }
        div.ownership {
            float: right;
            margin-top: 52px;
            @include active-rating-bar;

            div.your-rating {
                border-left: 1px solid #bfbfbf;
                border-right: 1px solid #bfbfbf;
                float: right;
                height: 54px;
                text-align: center;
                width: 180px;
                p.label {
                    font-size: 13px;
                    font-weight: 300;
                }
            } 
            div.your-playtime {
                border-left: 1px solid #bfbfbf;
                float: right;
                height: 54px;
                padding: 0 26px;
                overflow: hidden;
                text-align: center;

                div.stat {
                    @include number-font();
                    font-size: 26px;
                    font-weight: 600;
                    div.unit {
                        display: inline;
                        font-size: 14px;
                        font-weight: 300;
                    }
                }
                p {
                    font-size: 13px;
                    font-weight: 300;
                }
            }
        }
    }

    hr {
        clear: both;
        border: 0;
        border-bottom: 1px solid rgba(255, 255, 255, 0.4);
    }

    table {
        width: 100%;
        thead {
            background: #fff;
            th a {
                color: #000;
                font-weight: normal;
                &.sort-ascending, &.sort-descending {
                    font-weight: bold;
                }
            }
        }
        tbody {
            tr.account {
                td {
                    padding: 5px 12px;
                }
            }
        }
        caption {
            text-align: left;
            padding: 10px 0;
            font-weight: bold;
            font-size: 14px;
            font-weight: 300;
            font-size: 18px;

            em {
                @include game-title();
                font-style: normal;
                font-size: 17px;
            }
        }
    }

    div.everyday-compare {
        width: 509px;
        margin: 0 20px 30px; 
        float: left;
        overflow: auto;

        h2 {
            display: block;
            margin: 6px 0 6px;
            text-align: left;
            font-weight: 300;
            font-size: 20px;
            overflow: auto;
            padding: 0 6px 16px 6px;
        }

        >.compare {
            display: none;
            margin-left: 20px;
            padding: 6px 0 0;
            padding-left: 65px;
            width: 400px;

            >p {
                font-style: italic;
                color: #606060;

                strong {
                    color: $green;
                }
            }

            &.movie {
                background: url('/images/compare-to-movie.jpg') no-repeat 10px center;
            }
            &.restaurant {
                background: url('/images/compare-to-restaurant.jpg') no-repeat left center;
            }
            &.zoo {
                background: url('/images/compare-to-zoo.jpg') no-repeat left center;
            }
        }

        &.movie {
            >.movie {
                display: block;
            }
        }
        &.restaurant {
            >.restaurant {
                display: block;
            }
        }
        &.zoo {
            >.zoo {
                display: block;
            }
        }
    }
    div.sign-in-wall {
        width: 449px;
        margin: 20px 40px 30px 60px; 
        float: left;

        p {
            color: #606060;
            float: left;
            text-align: right;
            width: 220px;
            margin: 16px 0;
        }
        a.steam {
            float: left;
            background: url('/images/steam-openid-login-custom.png') no-repeat center 0px;
            display: inline-block;
            width: 210px;
            height: 90px;
            margin: 0 0 0 10px;

            &:hover {
                background-position: center -90px;
            }
        }

        h2 {
            color: #303030;
            font-weight: 400;
            font-size: 18px;
            margin: 0;

            span {
                font-weight: bold;
                text-decoration: underline;
            }
        }
    }

    div.similar-game-list {
        padding: 12px 0 12px 30px;
    }
    div.community-statistics {
        padding: 12px 29px 12px 0;
        border-right: 1px solid #e0e0e0;
    }

    div.community-statistics,
    div.similar-game-list {
        float: left;
        margin: 0;
        overflow: auto;
        text-align: center;
        width: 519px;
        
        h2 {
            display: block;
            margin: 0 0 22px 0;
            text-align: left;
            font-weight: 300;
            font-size: 25px;
            overflow: auto;
            padding: 0 6px 16px 6px;
            border-bottom: 1px solid #e0e0e0;

            span {
                float: left;
            }
            mark {
                background: white;
                border: 1px solid #d9d9d9;
                border-radius: 13px;
                color: #606060;
                cursor: default;
                display: inline-block;
                float: left;
                font-size: 14px;
                font-weight: normal;
                height: 24px;
                line-height: 24px;
                margin: 7px 0 0 16px;
                text-align: center;
                width: 24px;

                &:hover {
                    background: black;
                    border-color: black;
                    color: white;
                }
            }
        }

        div.average-cost-per-hour {
            color: $green;
            display: inline-block;
            float: left;
            font-family: 'Lato', sans-serif;
            margin: 0;
            padding: 10px 0;
            font-weight: normal;
            text-align: center;
            width: 230px;
            position: relative;
            height: 120px;
            cursor: default;

            div.stat {
                opacity: 1;
                display: inline;
                font-size: 70px;
                font-weight: 400;
                left: 0;
                position: absolute;
                text-align: center;
                top: 6px; 
                width: 230px;
                @include transition();

                p {
                    font-size: 14px;
                    font-weight: 400;
                }

                .ruble-sign {
                    background-image: url('/images/region-ru/ruble-green-large.png');
                    height: 29px;
                    line-height: 26px;
                    width: 30px;
                }

                &.regular-price {
                    color: #909090;
                    opacity: 0;
                }
            }
            &:hover {
                div.stat {
                    &.on-sale {
                        opacity: 0;
                    }
                    &.regular-price {
                        opacity: 1;
                    }
                }
            }
            span.unit {
                display: inline;
                font-size: 40px;
                font-weight: 400;
                line-height: 40px;
            }
        }

        div.average-playtime {
            border-right: 1px solid #e0e0e0; 
        }

        div.total-count,
        div.average-playtime,
        div.average-rating {
            display: inline-block;
            font-family: 'Lato', sans-serif;
            padding: 10px 20px;
            text-align: center;

            div.stat {
                display: inline;
                font-size: 30px;
                line-height: 30px;
                font-weight: 400;
            }
            span.unit {
                font-size: 16px;
                font-weight: 300;
                line-height: 16px;
                margin: 0 5px;
            }
            p {
                font-weight: 300;
                margin: 0;
            }
        }
        div.average-rating {
            div.stat {
                font-weight: normal;
            }
        }        

        div.more-info {
            position: absolute;
            bottom: 0;
            right: 0;
            a {
                cursor: pointer;
            }
        }
    }

    div.similar-game-list {
        height: 214px;
        overflow: visible;
        padding-bottom: 20px;
        text-align: left;

        .tick {
            font-size: 13px;
            fill: #606060;
        }
        .axis path,
        .axis line {
            fill: none;
            shape-rendering: crispedges;
            stroke: #606060;
            stroke-width: 2px;
        }
        .bar {
            fill: #c9c9c9;
            shape-rendering: crispedges;
            &:hover {
                fill: black;
            }
        }
        .label {
            font-size: 13px;
            fill: #303030;
        }
        .median-line {
            fill: none;
            stroke: black; 
            stroke-dasharray: 3,2;
            stroke-width: 1.5px;
        }
        .median-label {
            fill: $blue;
            font-size: 13px;
        }
        .average-line {
            fill: none;
            shape-rendering: crispedges;
            stroke: lighten($blue, 5%);
            stroke-width: 3px;
        }
        .no-data-message {
            text-align: center;
            padding: 76px 0 0;
            color: #606060;
        }

        h2 {
            margin-bottom: 2px;
        }
    }

    .tooltip,
    .popover {
        font-weight: 300;

        strong {
            font-weight: bold;
        }
        img {
            margin: 8px 0 0;
        }
    }

    @include inactive-rating-bar;
}
